summaryrefslogtreecommitdiffstats
path: root/source/n/procmail
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/procmail')
-rwxr-xr-xsource/n/procmail/procmail.SlackBuild3
-rw-r--r--source/n/procmail/procmail.gcc14.diff12
2 files changed, 15 insertions, 0 deletions
diff --git a/source/n/procmail/procmail.SlackBuild b/source/n/procmail/procmail.SlackBuild
index 8e8821ad6..ab6ce8440 100755
--- a/source/n/procmail/procmail.SlackBuild
+++ b/source/n/procmail/procmail.SlackBuild
@@ -57,7 +57,10 @@ cd $TMP
rm -rf procmail-$VERSION
tar xvf $CWD/procmail-$VERSION.tar.?z || exit 1
cd procmail-$VERSION || exit 1
+
zcat $CWD/procmail.lfs.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/procmail.gcc14.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/n/procmail/procmail.gcc14.diff b/source/n/procmail/procmail.gcc14.diff
new file mode 100644
index 000000000..1fcc8fd26
--- /dev/null
+++ b/source/n/procmail/procmail.gcc14.diff
@@ -0,0 +1,12 @@
+--- ./Makefile.orig 2024-05-11 14:25:05.399961923 -0500
++++ ./Makefile 2024-05-11 14:25:19.301962234 -0500
+@@ -86,7 +86,8 @@
+ #-Wimplicit -Wshadow -Wid-clash-6 #-Wuninitialized
+
+ # The place to put your favourite extra cc flag
+-CFLAGS0 = -O -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 #$(GCC_WARNINGS)
++CFLAGS0 = -O -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -Wno-error=implicit-int -Wno-error=implicit-function-declaration #$(GCC_WARNINGS)
++
+ LDFLAGS0= -s
+ # Read my libs :-)
+ LIBS=